## kdeconnect-plasma 0.0+git20150313

=== CMakeLists.txt ===
project(kdeconnect)

set(KDECONNECT_VERSION_MAJOR 0)
set(KDECONNECT_VERSION_MINOR 8)
set(KDECONNECT_VERSION_PATCH 0)
set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)

find_package(Qt5 5.2 REQUIRED COMPONENTS Quick Test)
find_package(KF5 REQUIRED COMPONENTS I18n KIO Notifications ConfigWidgets DBusAddons KCMUtils IconThemes)
find_package(Qca-qt5 2.1.0 REQUIRED)

configure_file(kdeconnect-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(FeatureSummary)

include(GenerateExportHeader)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(core)
add_subdirectory(kcm)
add_subdirectory(kio)
add_subdirectory(icon)
add_subdirectory(interfaces)

add_subdirectory(daemon)
add_subdirectory(plugins)
add_subdirectory(plasmoid)
add_subdirectory(cli)
add_subdirectory(fileitemactionplugin)

add_subdirectory(tests)

install(PROGRAMS kdeconnect-non-plasma.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== cli/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})

add_executable(kdeconnect-cli kdeconnect-cli.cpp)

target_link_libraries(kdeconnect-cli kdeconnectinterfaces KF5::CoreAddons KF5::I18n)

install(TARGETS kdeconnect-cli ${INSTALL_TARGETS_DEFAULT_ARGS})

=== core/CMakeLists.txt ===
project(KDEConnectCore)

add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-core\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(backends/lan)
add_subdirectory(backends/loopback)

set(kded_kdeconnect_SRCS
    ${backends_kdeconnect_SRCS}

    backends/linkprovider.cpp
    backends/devicelink.cpp

    kdeconnectplugin.cpp
    pluginloader.cpp

    kdeconnectconfig.cpp
    dbushelper.cpp
    networkpackage.cpp
    filetransferjob.cpp
    daemon.cpp
    device.cpp
)

add_library(kdeconnectcore SHARED ${kded_kdeconnect_SRCS})
target_link_libraries(kdeconnectcore
PUBLIC
    Qt5::Network
    KF5::KIOCore
    qca-qt5
PRIVATE
    Qt5::DBus
    Qt5::Gui
    KF5::I18n
    KF5::ConfigCore
    KF5::Notifications
)

set_target_properties(kdeconnectcore PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

target_include_directories(kdeconnectcore PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
generate_export_header(kdeconnectcore EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectcore_export.h BASE_NAME KDEConnectCore)

include(DbusInterfaceMacros)

generate_and_install_dbus_interface(
    kdeconnectcore
    ../core/daemon.h
    org.kde.kdeconnect.daemon.xml
    OPTIONS -a
)

generate_and_install_dbus_interface(
    kdeconnectcore
    ../core/device.h
    org.kde.kdeconnect.device.xml
    OPTIONS -a
)

install(TARGETS kdeconnectcore EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== daemon/CMakeLists.txt ===
project(kdeconnectd)

include_directories(${CMAKE_SOURCE_DIR})

add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-daemon")

add_executable(kdeconnectd kdeconnectd.cpp)
target_link_libraries(kdeconnectd kdeconnectcore KF5::DBusAddons Qt5::Widgets)

configure_file(kdeconnectd.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectd.desktop)
configure_file(org.kde.kdeconnect.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectd.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(TARGETS kdeconnectd DESTINATION ${LIBEXEC_INSTALL_DIR})

=== fileitemactionplugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-fileitemaction")
include_directories(${CMAKE_SOURCE_DIR})

add_library(kdeconnectfiletiemaction MODULE sendfileitemaction.cpp)
target_link_libraries(kdeconnectfiletiemaction KF5::KIOWidgets KF5::I18n kdeconnectinterfaces)
install(TARGETS kdeconnectfiletiemaction DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnectsendfile.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== icon/CMakeLists.txt ===

ecm_install_icons(
ICONS
    hi128-apps-kdeconnect.png
    hi16-apps-kdeconnect.png
    hi22-apps-kdeconnect.png
    hi256-apps-kdeconnect.png
    hi32-apps-kdeconnect.png
    hi48-apps-kdeconnect.png
    hi64-apps-kdeconnect.png
    hi8-apps-kdeconnect.png
    hisc-apps-kdeconnect.svgz
DESTINATION
    ${ICON_INSTALL_DIR}
)

=== interfaces/CMakeLists.txt ===
project(KDEConnectInterfaces)

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${CMAKE_SOURCE_DIR})

add_definitions(-DKDECONNECT_LIBRARY)

set(libkdeconnect_SRC
    dbusinterfaces.cpp
    devicesmodel.cpp
    notificationsmodel.cpp
#    modeltest.cpp
)

set(libkdeconnect_public_HEADERS
    KDEConnect/DevicesModel
    KDEConnect/NotificationsModel
)

set(libkdeconnect_HEADERS
    devicesmodel.h
    notificationsmodel.h
    dbusinterfaces.h
    ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h
    ${CMAKE_BINARY_DIR}/interfaces/daemoninterface.h
    ${CMAKE_BINARY_DIR}/interfaces/deviceinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicebatteryinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicesftpinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicenotificationsinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/notificationinterface.h
)

set_source_files_properties(
    ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.daemon.xml
    ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.device.xml
    ${CMAKE_BINARY_DIR}/plugins/battery/org.kde.kdeconnect.device.battery.xml
    ${CMAKE_BINARY_DIR}/plugins/sftp/org.kde.kdeconnect.device.sftp.xml
    ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.xml
    ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.notification.xml
    PROPERTIES NO_NAMESPACE true
)
qt5_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.daemon.xml daemoninterface)
qt5_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.device.xml deviceinterface)
qt5_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/battery/org.kde.kdeconnect.device.battery.xml devicebatteryinterface )
qt5_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/sftp/org.kde.kdeconnect.device.sftp.xml devicesftpinterface )
qt5_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.xml devicenotificationsinterface )
qt5_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.notification.xml notificationinterface  )

add_library(kdeconnectinterfaces SHARED ${libkdeconnect_SRC})
set_target_properties(kdeconnectinterfaces PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

generate_export_header(kdeconnectinterfaces EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h BASE_NAME KDEConnectInterfaces)

add_dependencies(kdeconnectinterfaces
        org.kde.kdeconnect.daemon.xml
        org.kde.kdeconnect.device.xml
        org.kde.kdeconnect.device.battery.xml
        org.kde.kdeconnect.device.sftp.xml
        org.kde.kdeconnect.device.notifications.xml
        org.kde.kdeconnect.device.notifications.notification.xml
)

target_link_libraries(kdeconnectinterfaces
LINK_PUBLIC
    Qt5::Gui
    Qt5::DBus
LINK_PRIVATE
    KF5::ConfigCore
)

configure_file(KDEConnectConfig.cmake.in ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake @ONLY)

ecm_setup_version( "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}" VARIABLE_PREFIX KDECONNECTINTERFACES
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDEConnectConfigVersion.cmake"
                        SOVERSION ${KDECONNECT_VERSION_MAJOR})

install(TARGETS kdeconnectinterfaces EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
message ("INSTALL_TARGETS_DEFAULT_ARGS" ${INSTALL_TARGETS_DEFAULT_ARGS})

## Don't install header files until API/ABI policy is defined
#
# install(FILES ${libkdeconnect_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kdeconnect COMPONENT Devel)
# install(FILES ${libkdeconnect_public_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/KDEConnect COMPONENT Devel)
# install(FILES ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake
#               ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfigVersion.cmake
#         DESTINATION ${LIB_INSTALL_DIR}/cmake/KDEConnect)

=== kcm/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kcm")

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR})

set(kcm_SRCS
    kcm.cpp
    devicessortproxymodel.cpp
)

ki18n_wrap_ui(kcm_SRCS kcm.ui)

add_library(kcm_kdeconnect MODULE ${kcm_SRCS})

target_link_libraries(kcm_kdeconnect
    Qt5::Core
    Qt5::Gui
    KF5::I18n
    KF5::KCMUtils
    kdeconnectinterfaces
)

install(TARGETS kcm_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kdeconnect.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== plugins/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}/core)
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-plugins\")
install(FILES kdeconnect_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(ping)
add_subdirectory(pausemusic)
add_subdirectory(mpriscontrol)
add_subdirectory(clipboard)
add_subdirectory(telephony)
add_subdirectory(battery)
add_subdirectory(mousepad)
add_subdirectory(share)
add_subdirectory(notifications)
add_subdirectory(sftp)
add_subdirectory(screensaver-inhibit)

#FIXME: If we split notifications in several files, they won't appear in the same group in the Notifications KCM
install(FILES kdeconnect.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== tests/CMakeLists.txt ===
include_directories(
    ${KDEConnectCore_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_libraries
    KF5::KIOWidgets
    Qt5::Network
    Qt5::Test
    kdeconnectcore
    qca-qt5
)

ecm_add_test(networkpackagetests.cpp LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(testsocketlinereader.cpp ../core/backends/lan/socketlinereader.cpp TEST_NAME testsocketlinereader LINK_LIBRARIES ${kdeconnect_libraries})

=== plugins/battery/CMakeLists.txt ===
set(kdeconnect_battery_SRCS
    batteryplugin.cpp
    batterydbusinterface.cpp
)

add_library(kdeconnect_battery MODULE ${kdeconnect_battery_SRCS})

target_link_libraries(kdeconnect_battery
    kdeconnectcore
    Qt5::DBus
    KF5::I18n
    KF5::Service
    KF5::Notifications
)

install(TARGETS kdeconnect_battery DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_battery.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(DbusInterfaceMacros)

generate_and_install_dbus_interface(
    kdeconnect_battery
    batterydbusinterface.h
    org.kde.kdeconnect.device.battery.xml
    OPTIONS -a
)

=== plugins/clipboard/CMakeLists.txt ===
set(kdeconnect_clipboard_SRCS
    clipboardplugin.cpp
)

add_library(kdeconnect_clipboard MODULE ${kdeconnect_clipboard_SRCS})

target_link_libraries(kdeconnect_clipboard kdeconnectcore KF5::Service Qt5::Gui)

install(TARGETS kdeconnect_clipboard DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_clipboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdeconnect-plasma (0.0+git20150313-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot for systray icon fix

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Mar 2015 21:12:31 +0100

kdeconnect-plasma (0.0+git20150302-0ubuntu2) vivid; urgency=medium

  * change conflicts on kdeconnect for breaks/replaces << 0.7.3-0ubuntu2
  * recommend kdeconnect for kioslave and file action

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 07 Mar 2015 01:20:31 +0100

kdeconnect-plasma (0.0+git20150302-0ubuntu1) vivid; urgency=medium

  * Sync with Debian
  * Update package for kdeconnect-plasma LP: #1427349

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Mar 2015 19:23:55 +0100

kdeconnect (0.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch 'provide-versioned-so-for-kdeconnectcore'.
      Upstream implemented it.
  * Add sshfs as a runtime dependency (Closes: #754300).
      Is needed to remote browsing the devices filesystems.

 -- David Suárez <david.sephirot@gmail.com>  Mon, 08 Sep 2014 20:27:20 +0200

kdeconnect (0.7-1) unstable; urgency=medium

  * New upstream version. (Closes: #753391)
  * Add 'provide-versioned-so-for-kdeconnectcore' patch.
  * Update lintian overrides.
  * debian/rules: remove more development files in order to avoid
      shipping them.
  * debian/control: add libxtst-dev as a build dependency.

 -- David Suárez <david.sephirot@gmail.com>  Tue, 01 Jul 2014 18:11:53 +0200

kdeconnect (0.5.2.1-1) unstable; urgency=low

  * New upstream version
  * Drop 'remove-xdg-open-shebang' patch
  * Point Vcs headers to debian git repository
  * Update copyright file

 -- David Suárez <david.sephirot@gmail.com>  Sun, 18 May 2014 15:50:33 +0200

kdeconnect (0.4.2-2) unstable; urgency=low

  * Add libqca2-plugin-gnupg and libqca2-plugin-ossl runtime depends.
    (Closes: #735850)

 -- David Suárez <david.sephirot@gmail.com>  Mon, 27 Jan 2014 19:56:34 +0100

kdeconnect (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #734374)

 -- David Suárez <david.sephirot@gmail.com>  Sun, 12 Jan 2014 02:14:23 +0100

=== debian/control ===
Source: kdeconnect-plasma
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               kio-dev,
               libfakekey-dev,
               libkf5configwidgets-dev,
               libkf5dbusaddons-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libqca-qt5-2-dev,
               libqjson-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kdeconnect-plasma.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect-plasma.git

Package: kdeconnect-plasma
Architecture: any
Depends: libqca-qt5-2-plugins, plasma-workspace, sshfs, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdeconnect (<< 0.7.3-0ubuntu2)
Replaces: kdeconnect (<< 0.7.3-0ubuntu2)
Recommends: kdeconnect
Description: connect smartphones to your KDE Plasma desktop
 Tool to integrate the KDE's Plasma desktop with your smartphones and
 similar devices.
 .
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.

Package: kdeconnect-plasma-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kdeconnect-plasma (= ${binary:Version}), ${misc:Depends}
Description: connect smartphones to your KDE Plasma desktop
 Tool to integrate the KDE's Plasma desktop with your smartphones and
 similar devices.
 .
 This package contains the debugging symbols.

## kdeconnect-plasma 0.0+git20150810

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,10 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)
 
 find_package(Qt5 5.2 REQUIRED COMPONENTS Quick Test)
-find_package(KF5 REQUIRED COMPONENTS I18n KIO Notifications ConfigWidgets DBusAddons KCMUtils IconThemes)
+find_package(KF5 REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes)
 find_package(Qca-qt5 2.1.0 REQUIRED)
+
+include_directories(${CMAKE_SOURCE_DIR})
 
 configure_file(kdeconnect-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h)
 
@@ -24,15 +26,24 @@
 include(ECMInstallIcons)
 include(FeatureSummary)
 
+include(KDEConnectMacros.cmake)
+
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+
 include(GenerateExportHeader)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_subdirectory(core)
 add_subdirectory(kcm)
+add_subdirectory(kcmplugin)
 add_subdirectory(kio)
 add_subdirectory(icon)
 add_subdirectory(interfaces)
 
+option(EXPERIMENTALAPP_ENABLED OFF)
+if(EXPERIMENTALAPP_ENABLED)
+    add_subdirectory(app)
+endif()
 add_subdirectory(daemon)
 add_subdirectory(plugins)
 add_subdirectory(plasmoid)

=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kcm")
+
+find_package(KF5KCMUtils 5.9 REQUIRED)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
@@ -7,7 +9,6 @@
 
 set(kcm_SRCS
     kcm.cpp
-    devicessortproxymodel.cpp
 )
 
 ki18n_wrap_ui(kcm_SRCS kcm.ui)

=== kcmplugin/CMakeLists.txt ===
project(kdeconnectpluginkcm)

add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-core\")

find_package(KF5 REQUIRED COMPONENTS KCMUtils)

add_library(kdeconnectpluginkcm kdeconnectpluginkcm.cpp)
target_link_libraries(kdeconnectpluginkcm
PUBLIC
    kdeconnectcore
PRIVATE
    Qt5::DBus
    Qt5::Gui
    KF5::I18n
    KF5::ConfigCore
    KF5::KCMUtils
)

set_target_properties(kdeconnectpluginkcm PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

target_include_directories(kdeconnectpluginkcm PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
generate_export_header(kdeconnectpluginkcm EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}../core/kdeconnectcore_export.h BASE_NAME kdeconnectpluginkcm)

# Remove NAMELINK_SKIP if/when headers are being installed and the library
# becomes public.
install(TARGETS kdeconnectpluginkcm EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
+find_package(KF5 REQUIRED COMPONENTS KIO)
+
 include_directories(
     ${KDEConnectCore_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}
 )
 
 set(kdeconnect_libraries
+    kdeconnectcore
     KF5::KIOWidgets
     Qt5::Network
     Qt5::Test
-    kdeconnectcore
     qca-qt5
 )

=== plugins/notifications/CMakeLists.txt ===
find_package(KF5 REQUIRED COMPONENTS Notifications)

set(kdeconnect_notifications_SRCS
    notification.cpp
    notificationsplugin.cpp
    notificationsdbusinterface.cpp
)

kdeconnect_add_plugin(kdeconnect_notifications JSON kdeconnect_notifications.json SOURCES ${kdeconnect_notifications_SRCS})

target_link_libraries(kdeconnect_notifications
    kdeconnectcore
    Qt5::DBus
    KF5::Notifications
)

=== debian/changelog ===
kdeconnect-plasma (0.0+git20150810-0ubuntu1) wily; urgency=medium

  * New upstream snapshot to fix functionality.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 02 Aug 2015 01:21:51 -0700

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
                debhelper (>= 9.0.0),
                extra-cmake-modules,
                kio-dev,
+               kwayland-dev,
                libfakekey-dev,
                libkf5configwidgets-dev,
                libkf5dbusaddons-dev,
+               libkf5declarative-dev,
                libkf5iconthemes-dev,
                libkf5kcmutils-dev,
                libkf5notifications-dev,
                libqca-qt5-2-dev,
                libqjson-dev,
+               libqt5x11extras5-dev,
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
@@ -27,7 +30,11 @@
 
 Package: kdeconnect-plasma
 Architecture: any
-Depends: libqca-qt5-2-plugins, plasma-workspace, sshfs, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqca-qt5-2-plugins,
+         plasma-workspace,
+         sshfs,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: kdeconnect (<< 0.7.3-0ubuntu2)
 Replaces: kdeconnect (<< 0.7.3-0ubuntu2)
 Recommends: kdeconnect

## kdeconnect-plasma 0.9%2Bgit20160315

=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -25,5 +25,5 @@
 
 install(TARGETS kcm_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
 
+install(FILES org.kde.kdeconnect.kcm.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES kcm_kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR})
-install(FILES kdeconnect.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                extra-cmake-modules,
+               kdoctools-dev,
                kio-dev,
                kwayland-dev,
                libfakekey-dev,
@@ -18,19 +19,21 @@
                libqca-qt5-2-dev,
                libqjson-dev,
                libqt5x11extras5-dev,
+               libtelepathy-qt5-dev,
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev
 Standards-Version: 3.9.6
-Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
+Homepage: https://community.kde.org/KDEConnect
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kdeconnect-plasma.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect-plasma.git
 
 Package: kdeconnect-plasma
 Architecture: any
-Depends: libqca-qt5-2-plugins,
+Depends: kde-cli-tools,
+         libqca-qt5-2-plugins,
          plasma-workspace,
          sshfs,
          ${misc:Depends},

## kdeconnect-plasma 0.9+git20160315

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(kdeconnect)
 
 set(KDECONNECT_VERSION_MAJOR 0)
-set(KDECONNECT_VERSION_MINOR 8)
+set(KDECONNECT_VERSION_MINOR 9)
 set(KDECONNECT_VERSION_PATCH 0)
 set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")
 
@@ -10,9 +10,15 @@
 find_package(ECM 0.0.9 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)
 
-find_package(Qt5 5.2 REQUIRED COMPONENTS Quick Test)
-find_package(KF5 REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes)
+find_package(Qt5 5.2 REQUIRED COMPONENTS Quick)
+find_package(KF5 REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons)
+find_package(KF5DocTools)
 find_package(Qca-qt5 2.1.0 REQUIRED)
+find_package(TelepathyQt5 0.9.5)
+find_package(TelepathyQt5Service 0.9.7)
+if (TelepathyQt5_FOUND AND TelepathyQt5Service_FOUND)
+    add_definitions(-DHAVE_TELEPATHY)
+endif()
 
 include_directories(${CMAKE_SOURCE_DIR})
 
@@ -49,7 +55,17 @@
 add_subdirectory(plasmoid)
 add_subdirectory(cli)
 add_subdirectory(fileitemactionplugin)
+if(KF5DocTools_FOUND)
+    add_subdirectory(doc)
+endif()
 
-add_subdirectory(tests)
+if (TelepathyQt5_FOUND AND TelepathyQt5Service_FOUND)
+    add_subdirectory(telepathy-cm)
+endif()
 
-install(PROGRAMS kdeconnect-non-plasma.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
+
+install(PROGRAMS org.kde.kdeconnect.nonplasma.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
find_package(KF5 COMPONENTS Declarative)

qt5_add_resources(kcapp_SRCS resources.qrc)

add_executable(kcapp main.cpp ${kcapp_SRCS})
target_link_libraries(kcapp Qt5::Quick Qt5::Widgets KF5::Declarative KF5::CoreAddons KF5::I18n)

install(TARGETS kcapp ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.app.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== cli/CMakeLists.txt ===

add_executable(kdeconnect-cli kdeconnect-cli.cpp)
ecm_mark_nongui_executable(kdeconnect-cli)

target_link_libraries(kdeconnect-cli kdeconnectinterfaces KF5::CoreAddons KF5::I18n)

install(TARGETS kdeconnect-cli ${INSTALL_TARGETS_DEFAULT_ARGS})

=== core/CMakeLists.txt ===
project(KDEConnectCore)

add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-core\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(backends/lan)
add_subdirectory(backends/loopback)

find_package(KF5Notifications 5.9 REQUIRED)

set(kdeconnectcore_SRCS
    ${backends_kdeconnect_SRCS}

    backends/linkprovider.cpp
    backends/devicelink.cpp

    kdeconnectplugin.cpp
    kdeconnectpluginconfig.cpp
    pluginloader.cpp

    kdeconnectconfig.cpp
    dbushelper.cpp
    networkpackage.cpp
    filetransferjob.cpp
    daemon.cpp
    device.cpp
)

add_library(kdeconnectcore ${kdeconnectcore_SRCS})
target_link_libraries(kdeconnectcore
PUBLIC
    Qt5::Network
    KF5::CoreAddons
    qca-qt5
PRIVATE
    Qt5::DBus
    Qt5::Gui
    KF5::I18n
    KF5::ConfigCore
)

set_target_properties(kdeconnectcore PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

target_include_directories(kdeconnectcore PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
generate_export_header(kdeconnectcore EXPORT_FILE_NAME kdeconnectcore_export.h BASE_NAME KDEConnectCore)

install(TARGETS kdeconnectcore EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== daemon/CMakeLists.txt ===
project(kdeconnectd)

find_package(KF5 REQUIRED COMPONENTS Notifications KIO)

add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kded")

add_executable(kdeconnectd kdeconnectd.cpp)
target_link_libraries(kdeconnectd kdeconnectcore KF5::KIOWidgets KF5::DBusAddons KF5::Notifications KF5::I18n Qt5::Widgets)

ecm_mark_nongui_executable(kdeconnectd)
if(TelepathyQt5_FOUND AND TelepathyQt5Service_FOUND)
    target_link_libraries(kdeconnectd connectcm)
endif()

configure_file(kdeconnectd.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectd.desktop)
configure_file(org.kde.kdeconnect.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectd.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(TARGETS kdeconnectd DESTINATION ${LIBEXEC_INSTALL_DIR})

=== fileitemactionplugin/CMakeLists.txt ===
find_package(KF5 REQUIRED COMPONENTS KIO)

add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-fileitemaction")
include_directories(${CMAKE_SOURCE_DIR})

add_library(kdeconnectfileitemaction MODULE sendfileitemaction.cpp)
target_link_libraries(kdeconnectfileitemaction
    KF5::KIOWidgets
    KF5::I18n
    kdeconnectinterfaces
)
install(TARGETS kdeconnectfileitemaction DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnectsendfile.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== icon/CMakeLists.txt ===

ecm_install_icons(
ICONS
    256-apps-kdeconnect.png
    128-apps-kdeconnect.png
    32-apps-kdeconnect.png
    64-apps-kdeconnect.png
    48-apps-kdeconnect.png
    22-apps-kdeconnect.png
    16-apps-kdeconnect.png
    sc-apps-kdeconnect.svgz
DESTINATION
    ${ICON_INSTALL_DIR}
)

ecm_install_icons(
ICONS
    32-status-laptop-connected.png
    32-status-laptop-disconnected.png
    32-status-laptop-trusted.png
    32-status-smartphone-connected.png
    32-status-smartphone-disconnected.png
    32-status-smartphone-trusted.png
    32-status-tablet-connected.png
    32-status-tablet-disconnected.png
    32-status-tablet-trusted.png
    sc-status-laptop-connected.svg
    sc-status-laptop-disconnected.svg
    sc-status-laptop-trusted.svg
    sc-status-smartphone-connected.svg
    sc-status-smartphone-disconnected.svg
    sc-status-smartphone-trusted.svg
    sc-status-tablet-connected.svg
    sc-status-tablet-disconnected.svg
    sc-status-tablet-trusted.svg
DESTINATION
    ${ICON_INSTALL_DIR}
)

=== interfaces/CMakeLists.txt ===
project(KDEConnectInterfaces)

function(geninterface source_h output_h)
    set(xml_file ${CMAKE_CURRENT_BINARY_DIR}/${output_h}.xml)
    qt5_generate_dbus_interface( ${source_h} ${xml_file})

    list(APPEND libkdeconnect_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/${output_h})
    set_source_files_properties(${xml_file} PROPERTIES NO_NAMESPACE true)

    get_filename_component(basename ${output_h} NAME_WE)
    qt5_add_dbus_interface(libkdeconnect_SRC ${xml_file} ${basename})
    set(libkdeconnect_SRC ${libkdeconnect_SRC} PARENT_SCOPE)
    set(libkdeconnect_HEADERS ${libkdeconnect_HEADERS} PARENT_SCOPE)
endfunction()

set(libkdeconnect_SRC
    dbusinterfaces.cpp
    devicesmodel.cpp
    notificationsmodel.cpp
    devicessortproxymodel.cpp
#    modeltest.cpp
)

set(libkdeconnect_public_HEADERS
    KDEConnect/DevicesModel
    KDEConnect/NotificationsModel
)

set(libkdeconnect_HEADERS
    devicesmodel.h
    notificationsmodel.h
    dbusinterfaces.h
    ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h
)

geninterface(${CMAKE_SOURCE_DIR}/core/daemon.h daemoninterface)
geninterface(${CMAKE_SOURCE_DIR}/core/device.h deviceinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/battery/batterydbusinterface.h devicebatteryinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/sftp/sftpplugin.h devicesftpinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/notifications/notificationsdbusinterface.h devicenotificationsinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/findmyphone/findmyphoneplugin.h devicefindmyphoneinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/notifications/notification.h notificationinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/mprisremote/mprisremoteplugin.h mprisremoteinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/remotecontrol/remotecontrolplugin.h remotecontrolinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/lockdevice/lockdeviceplugin.h lockdeviceinterface)


add_library(kdeconnectinterfaces SHARED ${libkdeconnect_SRC})
set_target_properties(kdeconnectinterfaces PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

generate_export_header(kdeconnectinterfaces EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h BASE_NAME KDEConnectInterfaces)

target_link_libraries(kdeconnectinterfaces
LINK_PUBLIC
    Qt5::Gui
    Qt5::DBus
LINK_PRIVATE
    KF5::ConfigCore
    KF5::I18n
)

configure_file(KDEConnectConfig.cmake.in ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake @ONLY)

ecm_setup_version( "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}" VARIABLE_PREFIX KDECONNECTINTERFACES
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDEConnectConfigVersion.cmake"
                        SOVERSION ${KDECONNECT_VERSION_MAJOR})

install(TARGETS kdeconnectinterfaces EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

## Don't install header files until API/ABI policy is defined
#
# install(FILES ${libkdeconnect_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kdeconnect COMPONENT Devel)
# install(FILES ${libkdeconnect_public_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/KDEConnect COMPONENT Devel)
# install(FILES ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake
#               ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfigVersion.cmake
#         DESTINATION ${LIB_INSTALL_DIR}/cmake/KDEConnect)

=== kcmplugin/CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,7 @@
 )
 
 target_include_directories(kdeconnectpluginkcm PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
-generate_export_header(kdeconnectpluginkcm EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}../core/kdeconnectcore_export.h BASE_NAME kdeconnectpluginkcm)
+generate_export_header(kdeconnectpluginkcm EXPORT_FILE_NAME kdeconnectpluginkcm_export.h BASE_NAME kdeconnectpluginkcm)
 
-# Remove NAMELINK_SKIP if/when headers are being installed and the library
-# becomes public.
+# Remove NAMELINK_SKIP if/when headers are being installed and the library becomes public.
 install(TARGETS kdeconnectpluginkcm EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== kio/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kio")
find_package(KF5 REQUIRED COMPONENTS KIO)

set(kio_kdeconnect_PART_SRCS
   kiokdeconnect.cpp
)

add_library(kio_kdeconnect MODULE ${kio_kdeconnect_PART_SRCS})

target_link_libraries(kio_kdeconnect
    kdeconnectinterfaces
    Qt5::Core
    Qt5::Gui
    KF5::KIOCore
    KF5::I18n
)

########### install files ###############
install(TARGETS kio_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnect.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== plasmoid/CMakeLists.txt ===

add_subdirectory(declarativeplugin)

install(DIRECTORY package/
        DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.kdeconnect)

install(FILES package/metadata.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
        RENAME plasma-kdeconnect.desktop)

=== plugins/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}/core)
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-plugins\")
install(FILES kdeconnect_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(ping)
add_subdirectory(clipboard)
add_subdirectory(telephony)
add_subdirectory(share)
add_subdirectory(notifications)
add_subdirectory(battery)
add_subdirectory(runcommand)
if(NOT WIN32)
    add_subdirectory(pausemusic)
    add_subdirectory(mpriscontrol)
    add_subdirectory(mousepad)
    add_subdirectory(screensaver-inhibit)
    add_subdirectory(sftp)
endif()

add_subdirectory(findmyphone)

if(EXPERIMENTALAPP_ENABLED)
    add_subdirectory(mprisremote)
    add_subdirectory(remotecontrol)
    add_subdirectory(lockdevice)
endif()

#FIXME: If we split notifications in several files, they won't appear in the same group in the Notifications KCM
install(FILES kdeconnect.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== debian/changelog ===
kdeconnect-plasma (0.9+git20160315-0ubuntu1) xenial; urgency=medium

  * New upstream release (adopting upstream version number) 
    (LP: #1559538)
  * Fixed install file to include translations, changed filenames
    for new desktop files and incremented so version numbers
  * Fixed install file for typo (kdeconnectfileitemaction.so)
  * Adding usr/share/doc/HTML/en/kdeconnect/ to install file

 -- Clive Johnston <clivejo@aol.com>  Wed, 13 Jan 2016 21:53:49 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kdeconnect-plasma-dbg

#dbus tests don't like to run
override_dh_auto_test:
	true

=== debian/watch ===

version=3
http://download.kde.org/unstable/kdeconnect/([\d\.]+)/src/kdeconnect-kde-(.+)\.tar\.xz
